---

mariadb_bind_address: "{{ ansible_default_ipv4.address }}"
mariadb_root_password: secr3t

mariadb_databases:
  - name: monitoring
    collation: utf8mb4_bin
    encoding: utf8mb4

  # TODO: latin1
  - name: "{{ icinga2_ido_database }}"
    collation: utf8mb4_bin
    encoding: utf8mb4

  - name: "{{ icingaweb_auth_dba_database }}"

mariadb_users:

  - name: monitoring
    host: "%"
    password: monitoring
    priv: "monitoring.*:ALL"

  - name: "{{ icinga2_ido_username }}"
    host: "%"
    password: "{{ icinga2_ido_password }}"
    priv: "{{ icinga2_ido_database }}.*:ALL"

  - name: "{{ icingaweb_auth_dba_username }}"
    host: "%"
    password: "{{ icingaweb_auth_dba_password }}"
    priv: "{{ icingaweb_auth_dba_database }}.*:ALL"
